Main Page Modules Class Hierarchy Compound List File List Compound Members

# cNetworkType Class Reference

`#include <ctypes.h>`

Inheritance diagram for cNetworkType::

List of all members.

## Public Methods

virtual void | setupNetwork ()=0
Constructors, destructor, assignment
| cNetworkType (const cNetworkType &n)
| cNetworkType (const char *name=NULL)
virtual | ~cNetworkType ()
cNetworkType& | operator= (const cNetworkType &)

## Detailed Description

Abstract base class for network types. cNetworkType has to be subclassed and the setupNetwork() method redefined, and the subclass to be registered via the Define_Network(). The result will be factory object which can set up a concrete network.

All this is usually taken care of by the NED compiler, so normal users should not need to know about cNetworkType.

## Constructor & Destructor Documentation

cNetworkType::cNetworkType ( | const cNetworkType & n )`[inline]`

| Copy constructor.

cNetworkType::cNetworkType ( | const char * name = NULL )`[inline]`

| Constructor. It takes pointer to a function that can build up a network.

cNetworkType::~cNetworkType ( | )`[inline, virtual]`

| Destructor.

## Member Function Documentation

cNetworkType & cNetworkType::operator= ( | const cNetworkType & )`[inline]`

| Assignment is not supported by this class: this method throws a cException when called.

void cNetworkType::setupNetwork ( | )`[pure virtual]`

| Network setup function. This is redefined in subclasses.

The documentation for this class was generated from the following file:

- ctypes.h